# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="7"

inherit desktop xdg-utils

if [[ ${PV} == "9999" ]] ; then
	EGIT_REPO_URI="https://github.com/kanjitalk755/macemu"
	inherit git-r3
else
	SRC_URI="https://github.com/kanjitalk755/macemu/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
        KEYWORDS="~amd64 ~x86"
fi

DESCRIPTION="Basilisk II is an emulator for 68k Macintoshes"
HOMEPAGE="https://www.emaculation.com/doku.php"
LICENSE="GPL-3"
SLOT="0"

DEPEND="media-libs/libsdl2
	x11-libs/gtk+:2"
RDEPEND="${DEPEND}"

S="${WORKDIR}/${P}/BasiliskII/src/Unix"

src_prepare() {
	NO_CONFIGURE=1 ./autogen.sh

	default
}

src_configure() {
	econf \
		--without-esd \
		--with-bincue \
		--with-gtk \
		--with-x \
		--enable-jit-compiler \
		--enable-sdl-audio \
		--enable-sdl-video
}

src_compile() {
	MAKEOPTS="${MAKEOPTS} -j1" base_src_compile
}

src_install() {
	default
	doicon -s 256 "${FILESDIR}/BasiliskII.png"
	domenu "${FILESDIR}/BasiliskII.desktop"
}

pkg_postinst() {
	xdg_desktop_database_update
	xdg_icon_cache_update
}

pkg_postrm() {
	xdg_desktop_database_update
	xdg_icon_cache_update
}
